Subject: Ticket Assigned - Very Bad Service
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jul 2022 04:08:00 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Very Bad Service Dear Splash Team

Actually I used to return my order because of wrong size but your driver
called me and  he asked my location I said today Is Friday and iam not
available in khobar tomorrow I will share you the location. I was wondering
that he is Shouting me through what's app is this your customer service?

Kindly please help me to return the item and give me the actual size please

Driver Number : Addur Razak +966 54 317 4991

Thanks & Regards

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4628046